#ifndef PCATID_H
#define PCATID_H
#include <iostream>
#include "pHitID.h"

using std::cout;
using std::endl;

class pCatID :public pHitID {

public:

  pCatID(const char *c=0){ SetHitID(c);}
  
  void SetHitID(const char *c){_icat=(int) *c;}
  
  int GetIcat(){return _icat;}
  
  void Print(){
    cout <<  "pCatID : Icat= " << GetIcat() << endl; 
  }

private:

  int _icat;

  
};

#endif //PCATID_H
